/***********************************************************************
Filename: Globals.h
***********************************************************************/
#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <sys/time.h>

#include <mrt.h>
#include <mrt_thread.h>

#include "propertyList.h"

#include "Event.h"
#include "result.h"

typedef struct {
	trace_t		*TracePtr;
	pthread_mutex_t	EventListLock;
	pthread_mutex_t	ResultListLock;

	TPDEvent	EventListHead;
	SalyData_t	ResultListHead;
	SalyData_t	*ResultListTail;
	int		NumQueuedResults;

	int		Running;
	long		NumRunningThreads;
	char		*UIIPort;

	char		HostName[MAXHOSTNAMELEN];
	char		ChannelName[MAXHOSTNAMELEN];
	char		*SalamanderServerPtr;
	prefix_t	*SalamanderServerPrefixPtr;
	u_long		SalamanderKey;
} TPDGlobals_t;

extern TPDGlobals_t	TPDGlobals;

extern void	GetEventListLock(void);
extern void	ReleaseEventListLock(void);
extern void	GetResultListLock(void);
extern void	ReleaseResultListLock(void);

#endif
